.url-cell {
  position: relative;
  display: flex;
  align-items: center;
}

.url-text {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease;
  margin-left: 5px;
}

.url-cell:hover .url-text {
  visibility: visible;
  opacity: 1;
}

.icon-link {
  font-size: 1.2em;
  cursor: pointer;
}

:host ::ng-deep .custom-gridlines {
  .p-datatable-header,
  .p-datatable-footer,
  .p-paginator-top,
  .p-paginator-bottom {
    border-width: 0;
  }

  .p-datatable-thead > tr > th,
  .p-datatable-tbody > tr > td,
  .p-datatable-tfoot > tr > td {
    border-width: 1px 0 0 1px;

    &:last-child {
      border-right-width: 1px;
    }
  }

  .p-datatable-tbody > tr:last-child > td {
    border-bottom-width: 1px;
  }
}
